Обновление httpd с 2.2 до 2.4 на RedHat 7

Так получилось, что мне пришлось переносить битрикс проект на новую площадку с RedHat7. На старой был RedHat 6 и httpd 2.2 + php 5.4. После переноса конфигов и установки ПО посыпались ошибки, решение которых я для себя решил задокументировать на будущее.

а) Invalid command ‘Order’, perhaps misspelled or defined by a module not included in the server configuration
Добавить в основной конфиг:
LoadModule access_compat_module modules/mod_access_compat.so
LoadModule authz_host_module modules/mod_authz_host.so

б) Invalid command ‘php_admin_value’, perhaps misspelled or defined by a module not included in the server configuration
Добавить в основной конфиг:
LoadModule php5_module modules/libphp5.so

в) Cannot load modules/mod_authz_default.so into server:
/etc/httpd/modules/mod_authz_default.so: undefined symbol: ap_requires
Закомментировать, т.к. модуль удален в версии апача 2.4

г) Cannot load modules/mod_rpaf-2.0.so into server: /etc/httpd/modules/mod_rpaf-2.0.so: cannot open shared object file: No such file or directory
Просто переместить\отключить\удалить:
mv bx/conf/mod_rpaf.conf bx/conf/mod_rpaf.conf.off

д) httpd: Configuration error: No MPM loaded
Добавить в основной конфиг:
LoadModule mpm_event_module modules/mod_mpm_event.so

е) Invalid command ‘Order’, perhaps misspelled or defined by a module not included in the server configuration
Добавить в основной конфиг:
LoadModule access_compat_module modules/mod_access_compat.so
LoadModule authz_host_module modules/mod_authz_host.so

ж) Invalid command ‘php_admin_value’, perhaps misspelled or defined by a module not included in the server configuration
Добавить в основной конфиг:
LoadModule php5_module modules/libphp5.so

з)Apache is running a threaded MPM, but your PHP Module is not compiled to be threadsafe
Добавить в основной конфиг:
LoadModule mpm_event_module modules/mod_mpm_event.so -> LoadModule mpm_prefork_module modules/mod_mpm_prefork.so

и) apache Invalid command “User”, perhaps misspelled or defined by a module not included in the server configuration
Добавить в основной конфиг:
LoadModule unixd_module modules/mod_unixd.so
LoadModule access_compat_module modules/mod_access_compat.so

к) Invalid username… – пользователь должен быть в группе апача, добавить через vigr.

Ваш комментарий будет первым

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *